// See http://d.hatena.ne.jp/fits/20090815/1250352312

package actor

import scala.actors.Actor._
import scala.actors.remote.Node
import scala.actors.remote.RemoteActor._

object producerTest extends Application {
  override def main(args: Array[String]) {

    actor {
      //ノード（ホスト名、ポート番号）とシンボルを指定して RemoteActor を取得
      val port = 9000  //ポート番号の設定
      val name = 'testActor //シンボルの設定
      val consumer = select(Node("localhost", port), name)

      println("sending=" + args(0))
      //実行時引数の1番目をそのまま RemoteActor に送信
      consumer !? args(0) match {
        case msg => println("result=" + msg)
      }
    }
  }
}
